php2.3.1 + gd2.0.12

Bash, Shell, PHP, Python, Perl, CGI
magic
Posts: 49
Joined: 2003-04-08 23:35

php2.3.1 + gd2.0.12

Post by magic »

Hallo!!
Ist zwar vielleicht eine dumme Frage, aber aus den ganzen Anleitungen zum upadten von PHP mit GD werde ich nicht schlau... :(

Der Server ist noch ganz frisch (Suse 8.1) und hat nur YaST2. Außerdem ist Apache/1.3.26 (Linux/SuSE) mod_ssl/2.8.10 OpenSSL/0.9.6g PHP/4.2.2 installiert.

Wie kann ich da jetzt zu php 2.3.1 und gd-2.0.12 oder zu mindest eine Version >2.0 updaten?? Mir geht es dabei um die Grafikbib...

Gruß
Magic
dea
Posts: 532
Joined: 2002-08-13 12:05

Re: php2.3.1 + gd2.0.12

Post by dea »

magic wrote:<snip>
Der Server ist noch ganz frisch (Suse 8.1) und hat nur YaST2. Außerdem ist Apache/1.3.26 (Linux/SuSE) mod_ssl/2.8.10 OpenSSL/0.9.6g PHP/4.2.2 installiert.

Wie kann ich da jetzt zu php 2.3.1 und gd-2.0.12 oder zu mindest eine Version >2.0 updaten?? Mir geht es dabei um die Grafikbib...
Ich hab' da dringenden Erklärungsbedarf ...
PHP 4.2.2 -> PHP 2.3.1 == UPDATE ??!??

Wg. der GDLib: Schau mal im Yast(2), ob Du bei der Paketinstallation irgendwas mit PHP und GD findest. Oftmals ist das quasi als Modul bereits vorhanden und müsste dann nur noch nachinstalliert werden.
oxygen
Posts: 2138
Joined: 2002-12-15 00:10
Location: Bergheim

Re: php2.3.1 + gd2.0.12

Post by oxygen »

Ein Update auf PHP4.3.1 ginge auch, da ist GDLib ja schon fertig drin und muss auch nur aktiviert werden. Version 2.0 (compatible) steht in phpinfo.
magic
Posts: 49
Joined: 2003-04-08 23:35

Re: php2.3.1 + gd2.0.12

Post by magic »

dea wrote: Ich hab' da dringenden Erklärungsbedarf ...
PHP 4.2.2 -> PHP 2.3.1 == UPDATE ??!??
Sorry, meinte PHP4.3.1
Und bei Yast habe ich nur die GD-1.8.6 gefunden...
magic
Posts: 49
Joined: 2003-04-08 23:35

Re: php2.3.1 + gd2.0.12

Post by magic »

So wie meist saß das Problem vor dem Monitor... :wink:

Nun habe ich es geschaft zu php läuft!! :)
Fast... :(
Wenn ich den Apache starte kommen folgende Fehlermeldungen...
Starting httpd [ PHP4 SSL ]PHP Warning: Function registration failed - duplicate name - gd_info in Unknown on line 0
PHP Warning: Function registration failed - duplicate name - imagearc in Unknown on line 0
PHP Warning: Function registration failed - duplicate name - imageellipse in Unknown on line 0
PHP Warning: Function registration failed - duplicate name - imagechar in Unknown on line 0
PHP Warning: Function registration failed - duplicate name - imagecharup in Unknown on line 0
PHP Warning: Function registration failed - duplicate name - imagecolorallocate in Unknown on line 0
usw....

Kann mir jemand sage, wie ich den fehler beseitigen kann?? Php läuft aber sonst....

Magic
magic
Posts: 49
Joined: 2003-04-08 23:35

Re: php2.3.1 + gd2.0.12

Post by magic »

Sorry.... :-D

Hab den Fehler selber beheben können :)

Magic